+++
title = 'About me and why I do this'
date = 2024-06-20T19:49:35+02:00
draft = false
+++

## whoami

<details>

- pika aka. Alexander Pieck
- IT-Sysadmin
- IT stated as a hobby
- Homelab-Enthusiast
- Never wanted to code.. but now I may be coding..

</details>

---

Welcome to my newly created blog, I'm really not sure how good this will going to be, but I will try to make it as beautiful and interesting as possible.

My Name is Alexander Pieck, and even though I **am** into the IT-Business, I'm normally that kind of sysadmin, that runs the servers and the hardware and is responsible for the bad internet-speeds and the bad password-policy (spoiler: I also! hate changing my password every 180 days).

But anyway, I recently tried to give programming a shot. I started with some [bash scripts](https://git.k4li.de/pika/scripts.git) for my [dotfiles](https://git.k4li.de/dotfiles/hyprdots.git) and loved the customizability and freedom you have if you just do it yourself!

And then I thought about my own website. As an IT guy, I also have my own company and thus, I need a way to display myself in the [world wide web](https://de.wikipedia.org/wiki/World_Wide_Web). So about a week ago, I started doing some html and css. Just basic stuff, like padding and margin, the flexboxes and how to layout/place stuff. That kind of helped me customizing my dotfiles as well.

I mean, I already knew [markdown]() a bit, becouse of git, of course. But I really didn't have the need to write much stuff in markdown. Now, with Hugo as my site-generator, I need to know markdown well and becouse I think it's a pretty easy and fast way to deploy websites (even non blog websites, if you know how to), i wanted to go that route.

Now this whole idea should not be just for nothing. I plan to get it online but really, it's just for me so..

## what do I want to acchieve?

**Good** question folk, I'd like to get some things done with this idea.. Let me get a bit more specific:

1. Just writing
- I don't know why, but I always liked to share my thoughts with others. I would do this to fresh up my own knowlage and always thought, that the others will learn something from it, even tough - now that I think about it - I don't really think, that this was often a case.. So yea, mostly for myself, again.
- Also I just love the english language, even though I'm not native to the english language. I'm from germany and maybe I will try to add translated versions for my blog later on.
2. Learning vim-keybings (neovim)
- As I started coding, I stumbled accross [The Primagean](https://youtube.com/@ThePrimeagen) and just felt in love, when i saw his vim skills and how fast he can just **DO** stuff. I was stunned and acctually installed neovim at the same day.
- Now my newly gained neovim-love it thanks to the [neovide]() frontend for neovim. It is just absolutely goregous, and I really do want to write and learn and live in here now!
3. Learning how to code and how to structuize a website
- I really want to learn basic website design and maybe later down the road, a bit of app-design. Also in the web of course. I love the opensource docker container that are [available at dockerhub](https://hub.docker.com/), and would love to publish my own small set of apps. But that's all something for the future pika.
